Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.runtime
Class JDBCPersistenceManagerFactory

    java.lang.Object
      |
      +--kodo.runtime.PersistenceManagerFactoryImpl
            |
            +--kodo.jdbc.runtime.JDBCPersistenceManagerFactory

All Implemented Interfaces:
  com.solarmetric.util.Closeable, KodoPersistenceManagerFactory, PersistenceManagerFactory, Serializable

public class JDBCPersistenceManagerFactory
extends PersistenceManagerFactoryImpl

PersistenceManagerFactory type for use with the JDBC runtime.

See Also:
  Serialized Form

Constructor Summary
`JDBCPersistenceManagerFactory()` Default constructor; however, the factory construction methods are recommended.
`JDBCPersistenceManagerFactory(JDBCConfiguration conf)` Construct the factory with the given option settings; however, the factory construction methods are recommended.

Method Summary
`static JDBCPersistenceManagerFactory` | `getPersistenceManagerFactory()` Factory method for constructing a PersistenceManagerFactory from the default configuration.
`static JDBCPersistenceManagerFactory` | `getPersistenceManagerFactory(JDBCConfiguration conf)` Factory method for constructing a PersistenceManagerFactory from a configuration.
`static JDBCPersistenceManagerFactory` | `getPersistenceManagerFactory(Properties props)` Factory method for constructing a PersistenceManagerFactory from properties.
`Properties` | `getProperties()` Subclasses should override this method to add a `Platform` property listing the runtime platform, such as: `Kodo JDO JDBC Edition: Oracle Database`
`protected PersistenceManagerImpl` | `newPersistenceManager(String user, String pass)` Return a PersistenceManager configured with the proper settings.
`protected StoreManager` | `newStoreManager()` Return a new StoreManager for this runtime.

Methods inherited from class kodo.runtime.PersistenceManagerFactoryImpl
`close, configurePersistenceManager, findPersistenceManager, findTransactionalPersistenceManager, freeze, getConfiguration, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionURL, getConnectionUserName, getIgnoreCache, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManager, getPersistenceManager, getPersistenceManager, getPersistenceManager, getPooledFactory, getRestoreValues, getRetainValues, isPersistenceManagerServerRunning, joinPersistenceManagerServer, loadPersistentClasses, lock, pool, readResolve, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setIgnoreCache, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, setup, startPersistenceManagerServer, stopPersistenceManagerServer, supportedOptions, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCPersistenceManagerFactory

    public JDBCPersistenceManagerFactory()

  Default constructor; however, the factory construction methods are recommended.

### JDBCPersistenceManagerFactory

    public JDBCPersistenceManagerFactory(JDBCConfiguration conf)

  Construct the factory with the given option settings; however, the factory construction methods are recommended.

Method Detail

### getPersistenceManagerFactory

    public static JDBCPersistenceManagerFactory getPersistenceManagerFactory(Properties props)

  Factory method for constructing a PersistenceManagerFactory from properties. Invoked from `JDOHelper.getPersistenceManagerFactory(java.util.Properties)`.

### getPersistenceManagerFactory

    public static JDBCPersistenceManagerFactory getPersistenceManagerFactory()

  Factory method for constructing a PersistenceManagerFactory from the default configuration.

### getPersistenceManagerFactory

    public static JDBCPersistenceManagerFactory getPersistenceManagerFactory(JDBCConfiguration conf)

  Factory method for constructing a PersistenceManagerFactory from a configuration.

### getProperties

    public Properties getProperties()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Subclasses should override this method to add a `Platform` property listing the runtime platform, such as: `Kodo JDO JDBC Edition: Oracle Database`
  Overrides:
    `getProperties` in class `PersistenceManagerFactoryImpl`

### newStoreManager

    protected StoreManager newStoreManager()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Return a new StoreManager for this runtime. Note that the instance returned here may be wrapped before being passed to the `PersistenceManagerFactoryImpl.newPersistenceManager(java.lang.String, java.lang.String)` method.
  Overrides:
    `newStoreManager` in class `PersistenceManagerFactoryImpl`

### newPersistenceManager

    protected PersistenceManagerImpl newPersistenceManager(String user,
                                                           String pass)

  Description copied from class: `PersistenceManagerFactoryImpl`
  Return a PersistenceManager configured with the proper settings. By default, this method constructs a new PersistenceManagerImpl of the class set for this factory.
  Overrides:
    `newPersistenceManager` in class `PersistenceManagerFactoryImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.